## cuttlefish 12.08-extras12.04.1

=== debian/changelog ===
cuttlefish (12.08-extras12.04.1) precise; urgency=low

  * New Bugfix Release (Based on cuttlefish PPA) to fix installability.
    (LP: #1044845)

 -- Alex <noneed4anick@gmail.com>  Sat, 25 Aug 2012 12:22:42 +0200

cuttlefish (12.07.13-extras12.04.1) precise; urgency=low

  * Initial release.

 -- Alexander von Bremen-Kühne <noneed4anick@gmail.com>  Mon, 09 Jul 2012 16:13:15 +0200
