=== debian/control ===
Source: cuttlefish
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Alexander von Bremen-Kühne <noneed4anick@gmail.com>
Standards-Version: 3.9.3
X-Python-Version: >= 2.6

Package: cuttlefish
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-notify-0.7,
 python-xdg,
 python-psutil,
 gir1.2-gtk-3.0,
 python-pyudev,
 python-dbus,
 gir1.2-wnck-3.0,
 gir1.2-pango-1.0,
 gir1.2-glib-2.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-launchpad-integration-3.0,
 gir1.2-gmenu-3.0,
 gir1.2-appindicator3-0.1,
 yelp
Description: simple reaction based tool
 Cuttlefish is an event driven tool that will adapt the appearance and
 settings of your system according to the environment
