=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/cuttlefish/bin                 --install-data=/opt/extras.ubuntu.com/cuttlefish                 --install-lib=/opt/extras.ubuntu.com/cuttlefish

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/cuttlefish


override_dh_install:
	dh_install
	mkdir -p debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/bin
	if [ -x debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/cuttlefish/cuttlefish ]; then mv debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/cuttlefish/cuttlefish debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/bin; fi
	if [ -f debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/share/applications/cuttlefish.desktop ]; then \
		mkdir -p debian/cuttlefish/usr/share/applications; \
		mv debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/share/applications/cuttlefish.desktop debian/cuttlefish/usr/share/applications/extras-cuttlefish.desktop; \
		rmdir --ignore-fail-on-non-empty debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/share/applications; \
		sed -i 's|Exec=[^ ]*|Exec=/opt/extras.ubuntu.com/cuttlefish/bin/cuttlefish|' debian/cuttlefish/usr/share/applications/extras-cuttlefish.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/cuttlefish/|' debian/cuttlefish/usr/share/applications/extras-cuttlefish.desktop; \
	fi
	grep -RlZ 'import gettext' debian/cuttlefish/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/cuttlefish/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('cuttlefish')" debian/cuttlefish/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('cuttlefish')\)|locale\.bindtextdomain('cuttlefish', '/opt/extras.ubuntu.com/cuttlefish/share/locale')\nlocale\1|" 
	sed -i "s|__cuttlefish_data_directory__ =.*|__cuttlefish_data_directory__ = '/opt/extras.ubuntu.com/cuttlefish/share/cuttlefish/'|" debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/cuttlefish*/cuttlefishconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/cuttlefish/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/bin/cuttlefish
	if [ -d debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/share/glib-2.0/schemas ]; then glib-compile-schemas debian/cuttlefish/opt/extras.ubuntu.com/cuttlefish/share/glib-2.0/schemas; fi
